cURL
curl --request POST \
--url https://grid.squads.xyz/api/grid/v1/accounts/{address}/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-grid-environment: <x-grid-environment>' \
--data '
{
"transaction": "<string>",
"fee_config": {
"payer_address": "<string>",
"self_managed_fees": true
},
"payer_address": "<string>",
"transaction_signers": [
"<string>"
]
}
'import requests
url = "https://grid.squads.xyz/api/grid/v1/accounts/{address}/transactions"
payload = {
"transaction": "<string>",
"fee_config": {
"payer_address": "<string>",
"self_managed_fees": True
},
"payer_address": "<string>",
"transaction_signers": ["<string>"]
}
headers = {
"x-grid-environment": "<x-grid-environment>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-grid-environment': '<x-grid-environment>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
transaction: '<string>',
fee_config: {payer_address: '<string>', self_managed_fees: true},
payer_address: '<string>',
transaction_signers: ['<string>']
})
};
fetch('https://grid.squads.xyz/api/grid/v1/accounts/{address}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"transaction": "<string>",
"fee": {
"amount": "<string>",
"amount_decimal": "<string>",
"sol_equivalent": {
"amount": "<string>",
"amount_decimal": "<string>"
}
},
"kms_payloads": [
{
"address": "<string>",
"payload": "<string>"
}
],
"simulation_logs": [
"<string>"
],
"transaction_signers": [
"<string>"
]
},
"metadata": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Solana Support
Prepare Arbitrary Transaction
Prepare a custom transaction with specified instructions
POST
/
api
/
grid
/
v1
/
accounts
/
{address}
/
transactions
cURL
Authorizations
Your Grid API key from the Grid Dashboard
Headers
Solana network environment (sandbox, devnet, mainnet)
Path Parameters
Smart account address (Solana public key)
Query Parameters
Include simulation logs in response
Body
application/json
Was this page helpful?
⌘I